Updates iPhone 3G

Welcome to our Community
Wanting to join the rest of our members? Feel free to sign up today.
Sign up

Eddy Jay

New Member
Jan 26, 2013
2
0
1
Indianapolis, Indiana
#1
I have an iPhone that is currently running iOS 4.1.2. I'm starting to run into compatibility issues with apps and would like to find a way to update to iOS 4.3 and above from 4.1.2. Is this possible?
 

Europa

Moderator
Senior Moderator
Dec 12, 2008
28,365
5,505
113
Utah
#4
Thanks a lot "Fearofnormalcy" for that info. How can I install apps? Almost all apps I come across seem to be requiring 4.3 and above. Any advice?
You'll need to get a newer iPhone if you want to run the apps that require 5.0 and beyond. The 3G is nearly five years old and it just isn't powerful enough to handle them. There is no way around this. You can get an iPhone 4 for free with a contract or for about $100 without a contract. The iPhone 5 is $200 with a contract.
 

NHL Fever

Member
Bronze
Mar 15, 2010
80
4
8
#5
You'll need to get a newer iPhone if you want to run the apps that require 5.0 and beyond. The 3G is nearly five years old and it just isn't powerful enough to handle them. There is no way around this. You can get an iPhone 4 for free with a contract or for about $100 without a contract. The iPhone 5 is $200 with a contract.
Heck you can get a free 4S now with 3 year contracts, or a refurb free 4S with 2 year from Telus, up here.